---
# .. vim: foldmarker=[[[,]]]:foldmethod=marker

# ipr-cnrs.flexlm default variables [[[
# ======================================

# Packages and installation [[[
# -----------------------------

# .. envvar:: flexlm__base_packages [[[
#
# List of base packages to install.
flexlm__required_packages:
  - 'lsb-core'
                                                                   # ]]]
# .. envvar:: flexlm__deploy_state [[[
#
# What is the desired state which this role should achieve? Possible options:
#
# ``present``
#   Default. Ensure that flexlm is installed and configured as requested.
#
# ``absent``
#   Ensure that flexlm is uninstalled and it's configuration is removed.
#
flexlm__deploy_state: 'present'
                                                                   # ]]]
                                                                   # ]]]
# Server configuration [[[
# ------------------------

# .. envvar:: flexlm__lmgrd_version [[[
#
# Specifies the version of ``lmgrd`` daemon.
# Use to differentiate lmgrd on multiple versions in case of incompatibility with a vendor daemon binary.
#
# A symlink will be create to ``lmgrd`` daemon to have a simpler name.
#
flexlm__lmgrd_version: '11.16.2.1'

                                                                   # ]]]
# .. envvar:: flexlm__lmgrd_path [[[
#
# Path to store ``lmgrd`` daemon.
flexlm__lmgrd_path: '/usr/local/bin/lmgrd'

                                                                   # ]]]
# .. envvar:: flexlm__lmgrd_source [[[
#
# Path where ``lmgrd`` daemon source is stored.
flexlm__lmgrd_source: 'usr/local/bin/lmgrd'

                                                                   # ]]]
# .. envvar:: flexlm__lmutil_path [[[
#
# Path to store ``lmutil`` daemon.
flexlm__lmutil_path: '/usr/local/bin/lmutil'

                                                                   # ]]]
# .. envvar:: flexlm__lmutil_source [[[
#
# Path where ``lmutil`` daemon source is stored.
flexlm__lmutil_source: 'usr/local/bin/lmutil'

                                                                   # ]]]
# .. envvar:: flexlm__user_name [[[
#
# The user under which FlexLM daemons are running during normal operation.
flexlm__user_name: 'flexlm'

                                                                   # ]]]
# .. envvar:: apache__service_name [[[
#
# The name of the Apache service.
flexlm__service_manage: True

                                                                   # ]]]
# .. envvar:: flexlm__service_unit_content [[[
#
# Template used to provide systemd unit for ``flexlm-...`` services.
flexlm__service_unit_content: 'etc/systemd/system/flexlm.service.j2'

                                                                   # ]]]
                                                                   # ]]]
# Licence and Vendor bin [[[
# ------------------------

# .. envvar:: flexlm__licences [[[
#
# Lists to manage vendor daemon and licence files.
#
# ``item.name``
#   Give a short name for the software licence. Avoid whitespace and special
#   caracter cause this var will also be used to name the service.
# ``item.description``
#   Optional. Here you can give a long description of the licence. Also used as
#   service's description.
# ``item.bin_path``
#   Optional. Specify asbolute path of the target directory on the remote host
#   to store vendor daemon binaries. Also used as working directory for the service.
#   [Default : ``/opt/item.name/bin``].
# ``bin_src``
#   Optional. Path from your controller used as source directory to provide the
#   vendor daemon directory on the host. Should be a directory and don't omit
#   the final **/**.
# ``lic_path``
#   Optional. Specify absolut path of the target licence file on the remote
#   host. Also used as argument of the start command for the service.
#   [Default : ``/opt/item.name/etc/licence.lic``].
# ``lic_src``
#   Optional. Path from your controller used as source file to provide the licence
#   file on the host. Should be a file, not a directory.
# ``service``
#   Optional. If the service should be started and enabled.
#   [Default : ``True``].
# ``timewait``
#   Optional. The time (in second) to wait before trying to restart the service
#   after an error. I recommend at least 60 seconds because some vendor daemon
#   keep a connection active even few seconds after the stop.
#   [Default : ``60``].
# ``ports``
#   The list of ports used by this licence.
#   Not used right now.
flexlm__licences: []

                                                                   # ]]]
                                                                   # ]]]
